###############################################################################
# Only execute commands if file was not included already
###############################################################################
if (NOT MEDIEVAL_CONFIG_CMAKE_LOADED)


###############################################################################
# Add local module path to CMAKE_MODULE_PATH
###############################################################################
	
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")


###############################################################################
# find inVRs itself:
###############################################################################
set (inVRs_REQUIRED_MODULES OpenSGSceneGraphInterface )
find_package ( inVRs REQUIRED ${inVRs_REQUIRED_MODULES} ${inVRs_REQUIRED_TOOLS})
include_directories ( ${inVRs_INCLUDE_DIRS} )
link_directories ( ${inVRs_LIBRARY_DIRS} )
add_definitions ( ${inVRs_DEFINITIONS} )


###############################################################################
# add FRAMEWORK linker flags for MAC OSX systems
###############################################################################
foreach (framework ${inVRs_FRAMEWORKS} )
	set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework ${framework}")
	set (CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -framework ${framework}")
	set (CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -framework ${framework}")
endforeach (framework ${inVRs_FRAMEWORKS} )


###############################################################################
# include platform-dependent compiler flags
###############################################################################
include (${CMAKE_SOURCE_DIR}/cmake/config_buildFlags.cmake)


###############################################################################
# Finish
###############################################################################
set (MEDIEVAL_CONFIG_CMAKE_LOADED ON)
endif (NOT MEDIEVAL_CONFIG_CMAKE_LOADED)
