#include "TextureLoader.h"

double SetTexture(SceneGraphNodeInterface* nodeInterface, const char* fileName)
{
	OpenSGSceneGraphNode* node = dynamic_cast<OpenSGSceneGraphNode*>(nodeInterface);
	
	NodePtr geomNodePtr = node->getNodePtr();
		
	GeometryPtr geomNode = OSG::GeometryPtr::dcast(geomNodePtr->getCore());
	if(geomNode!=OSG::NullFC)
	{
		SimpleTexturedMaterialPtr mat = SimpleTexturedMaterial::create();
		ImagePtr img = Image::create();
		beginEditCP(img);
			img->read(fileName);
		endEditCP(img);
	
		beginEditCP(mat);
			mat->setImage(img);
		endEditCP(mat);

		beginEditCP(geomNode);
			geomNode->setMaterial(mat);
		endEditCP(geomNode);
		double width = img->getWidth();
		double height = img->getHeight();
		return width / height;
	}
	return 0.0;
}