#!/bin/sh

## set opensg library path
#export OPENSG_LIB_PATH=/usr/local/lib/opt
## set inVRs library path
#export INVRS_LIB_PATH=../../lib
#
## set library path for Linux systems
#export LD_LIBRARY_PATH=$INVRS_LIB_PATH:$OPENSG_LIB_PATH:.:$LD_LIBRARY_PATH
## set library path for MAC systems
#export DYLD_LIBRARY_PATH=$INVRS_LIB_PATH:$OPENSG_LIB_PATH:.:$DYLD_LIBRARY_PATH


. /usr/share/modules/init/`basename $SHELL`

cleanup()
{
	killall startwalls.sh
	pkill -f ./build/PictureCave
	# wait for children to exit:
	wait >/dev/null 2>&1
}

# be save for executing from another directory:
pushd `dirname "$0"`

#source ld_lib_twiddle
module load inVRs

export CLUSTER_STARTWALLS_PROGRAM=`which startCSMServer.sh`
export CLUSTER_STARTWALLS_ARGS=stereo
#export CLUSTER_STARTWALLS_NODES="n001 n002 n003" 
export CLUSTER_STARTWALLS_NODES="n005 n006 n007 n008"
#export CLUSTER_STARTWALLS_NODES="n001 n002 n003 n005 n006 n007 n008"
export CLUSTER_STARTWALLS_ENV="LD_LIBRARY_PATH PATH"

if [ ! -x "$CLUSTER_STARTWALLS_PROGRAM" ]
then
	echo "$CLUSTER_STARTWALLS_PROGRAM is not executeable!"
	exit 1
fi

trap cleanup EXIT

# start server-stereo:
startwalls.sh &

./build/PictureCAVE -config=config/general-cave.xml
#./build/PictureCAVE -config=config/general-curvedscreen.xml localhost:8081

popd
